---
title: Document.fullscreen
slug: Web/API/Document/fullscreen
tags:
  - API
  - Deprecated
  - Document
  - Full-screen
  - Fullscreen API
  - Property
  - Read-only
  - Reference
  - fullscreen
  - screen
---
<div>{{APIRef("Fullscreen API")}}{{Deprecated_Header}}</div>

<p><span class="seoSummary">The obsolete {{domxref("Document")}} interface's <strong><code>fullscreen</code></strong> read-only property reports whether or not the document is currently displaying content in full-screen mode.</span></p>

<p>Although this property is read-only, it will not throw if it is modified (even in strict mode); the setter is a no-operation and it will be ignored.</p>

<div class="note">
<p><strong>Note:</strong> Since this property is deprecated, you can determine if full-screen mode is active on the document by checking to see if {{DOMxRef("Document.fullscreenElement")}} is not <code>null</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">var <var>isFullScreen</var> = <var>document</var>.fullscreen;
</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which is <code>true</code> if the document is currently displaying an element in full-screen mode; otherwise, the value is <code>false.</code></p>

<h2 id="Example">Example</h2>

<p>This simple function reports whether or not full-screen mode is currently active, using the obsolete <code>fullscreen</code> property.</p>

<pre class="brush: js">function isDocumentInFullScreenMode() {
  return document.fullscreen;
}
</pre>

<p>This next example, on the other hand, uses the current <code>fullscreenElement</code> property to determine the same thing:</p>

<pre class="brush: js">function isDocumentInFullScreenMode() {
  return document.fullscreenElement !== null;
}</pre>

<p>If <code>fullscreenElement</code> isn't <code>null</code>, this returns <code>true</code>, indicating that full-screen mode is in effect.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen", "#dom-document-fullscreen", "Document.fullscreen")}}</td>
   <td>{{Spec2("Fullscreen")}}</td>
   <td>Initial definition (as an obsolete property).</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.fullscreen")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{DOMxRef("Document.fullscreenEnabled")}}</li>
</ul>
